Bug 502657 - (CVE-2009-1788) CVE-2009-1788 libsndfile VOC file heap based buffer overflow
CVE-2009-1788 libsndfile VOC file heap based buffer overflow
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://web.nvd.nist.gov/view/vuln/det...
source=cve,impact=important,reported=...
: Security
: 501053 (view as bug list)
Depends On: 502659 502660 502661 664600
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-26 15:23 EDT by Josh Bressers
Modified: 2016-03-04 07:32 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 10:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2009-05-26 15:23:05 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-1788 to the following vulnerability:

Heap-based buffer overflow in voc_read_header in libsndfile 1.0.15
through 1.0.19, as used in Winamp 5.552 and possibly other media
programs, allows remote attackers to cause a denial of service
(application crash) and possibly execute arbitrary code via a VOC file
with an invalid header value.
Comment 2 Jan Lieskovsky 2009-05-28 06:39:24 EDT
*** Bug 501053 has been marked as a duplicate of this bug. ***
Comment 3 Tomas Hoger 2009-06-08 06:38:47 EDT
Link to original Tobias Klein's advisory:
  http://trapkit.de/advisories/TKADV2009-006.txt

Issue was fixed upstream in 1.0.20:
  http://www.mega-nerd.com/erikd/Blog/CodeHacking/libsndfile/rel_20.html

Upstream also created patches for few recent versions (1.0.15 - 1.0.19).
Comment 4 Fedora Update System 2009-12-03 00:04:02 EST
libsndfile-1.0.20-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-12-03 00:06:58 EST
libsndfile-1.0.20-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Rakesh Pandit 2010-05-29 06:32:58 EDT
This is already fixed in all releases, what is it NEW then ?
Comment 7 Tomas Hoger 2010-05-31 02:11:08 EDT
EPEL-5 has libsndfile-1.0.17-2.el5.
Comment 8 Vincent Danen 2010-12-20 17:22:21 EST
This is still not fixed in EPEL5 (1.0.17-3.el5), yet it was updated recently:

* Thu Jul 08 2010 Michel Salim <salimma@fedoraproject.org> - 1.0.17-3
- Fix for channel per frame overflow (CVE-2009-0186, #488364) 

Will this be fixed in EPEL5?
Comment 9 Michal Hlavinka 2010-12-23 02:57:31 EST
Bui(In reply to comment #8)
> Will this be fixed in EPEL5?

Building right now. Thanks for asking, without it I won't know about this bug (this bug was filled before I became co-maintainer and is not filled directly against libsndfile, so I did not know this bug existed).
Comment 10 Vincent Danen 2010-12-23 10:29:52 EST
Thanks much for taking care of it!
Comment 11 Vincent Danen 2010-12-23 10:38:35 EST
I see that libsndfile-1.0.17-4.el5 was submitted for EPEL5.  Closing, with many thanks!

Note You need to log in before you can comment on or make changes to this bug.